<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>Extent (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Extent (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/extent/ChangeSetExtent.html" title="class in com.sk89q.worldedit.extent"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/extent/Extent.html" target="_top">Frames</a></li>
<li><a href="Extent.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.extent</div>
<h2 title="Interface Extent" class="title">Interface Extent</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent">InputExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html" title="interface in com.sk89q.worldedit.extent.clipboard">Clipboard</a>, <a href="../../../../com/sk89q/worldedit/extent/reorder/ReorderingExtent.html" title="interface in com.sk89q.worldedit.extent.reorder">ReorderingExtent</a>, <a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html" title="class in com.sk89q.worldedit.extent">AbstractDelegateExtent</a>, <a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html" title="class in com.sk89q.worldedit.world">AbstractWorld</a>, <a href="../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html" title="class in com.sk89q.worldedit.extent.clipboard">BlockArrayClipboard</a>, <a href="../../../../com/sk89q/worldedit/extent/inventory/BlockBagExtent.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBagExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/validation/BlockChangeLimiter.html" title="class in com.sk89q.worldedit.extent.validation">BlockChangeLimiter</a>, <a href="../../../../com/sk89q/worldedit/extent/world/BlockQuirkExtent.html" title="class in com.sk89q.worldedit.extent.world">BlockQuirkExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/transform/BlockTransformExtent.html" title="class in com.sk89q.worldedit.extent.transform">BlockTransformExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/ChangeSetExtent.html" title="class in com.sk89q.worldedit.extent">ChangeSetExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/reorder/ChunkBatchingExtent.html" title="class in com.sk89q.worldedit.extent.reorder">ChunkBatchingExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/world/ChunkLoadingExtent.html" title="class in com.sk89q.worldedit.extent.world">ChunkLoadingExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/validation/DataValidatorExtent.html" title="class in com.sk89q.worldedit.extent.validation">DataValidatorExtent</a>, <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>, <a href="../../../../com/sk89q/worldedit/extent/buffer/ExtentBuffer.html" title="class in com.sk89q.worldedit.extent.buffer">ExtentBuffer</a>, <a href="../../../../com/sk89q/worldedit/extent/world/FastModeExtent.html" title="class in com.sk89q.worldedit.extent.world">FastModeExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/buffer/ForgetfulExtentBuffer.html" title="class in com.sk89q.worldedit.extent.buffer">ForgetfulExtentBuffer</a>, <a href="../../../../com/sk89q/worldedit/extent/cache/LastAccessExtentCache.html" title="class in com.sk89q.worldedit.extent.cache">LastAccessExtentCache</a>, <a href="../../../../com/sk89q/worldedit/extent/MaskingExtent.html" title="class in com.sk89q.worldedit.extent">MaskingExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/reorder/MultiStageReorder.html" title="class in com.sk89q.worldedit.extent.reorder">MultiStageReorder</a>, <a href="../../../../com/sk89q/worldedit/extent/NullExtent.html" title="class in com.sk89q.worldedit.extent">NullExtent</a>, <a href="../../../../com/sk89q/worldedit/world/NullWorld.html" title="class in com.sk89q.worldedit.world">NullWorld</a>, <a href="../../../../com/sk89q/worldedit/session/request/RequestExtent.html" title="class in com.sk89q.worldedit.session.request">RequestExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/world/SurvivalModeExtent.html" title="class in com.sk89q.worldedit.extent.world">SurvivalModeExtent</a>, <a href="../../../../com/sk89q/worldedit/TracedEditSession.html" title="class in com.sk89q.worldedit">TracedEditSession</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Extent</span>
extends <a href="../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent">InputExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a></pre>
<div class="block">A world, portion of a world, clipboard, or other object that can have blocks
 set or entities placed.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent"><code>the get____() portion</code></a>, 
<a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent"><code>the set____() portion</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/extent/Extent.html#createEntity-com.sk89q.worldedit.util.Location-com.sk89q.worldedit.entity.BaseEntity-">createEntity</a></span>(<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;location,
            <a href="../../../../com/sk89q/worldedit/entity/BaseEntity.html" title="class in com.sk89q.worldedit.entity">BaseEntity</a>&nbsp;entity)</code>
<div class="block">Create an entity at the given location.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;? extends <a href="../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/extent/Extent.html#getEntities--">getEntities</a></span>()</code>
<div class="block">Get a list of all entities.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.List&lt;? extends <a href="../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/extent/Extent.html#getEntities-com.sk89q.worldedit.regions.Region-">getEntities</a></span>(<a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</code>
<div class="block">Get a list of all entities within the given region.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/extent/Extent.html#getMaximumPoint--">getMaximumPoint</a></span>()</code>
<div class="block">Get the maximum point in the extent.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/extent/Extent.html#getMinimumPoint--">getMinimumPoint</a></span>()</code>
<div class="block">Get the minimum point in the extent.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.extent.InputExtent">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.extent.<a href="../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent">InputExtent</a></h3>
<code><a href="../../../../com/sk89q/worldedit/extent/InputExtent.html#getBiome-com.sk89q.worldedit.math.BlockVector2-">getBiome</a>, <a href="../../../../com/sk89q/worldedit/extent/InputExtent.html#getBlock-com.sk89q.worldedit.math.BlockVector3-">getBlock</a>, <a href="../../../../com/sk89q/worldedit/extent/InputExtent.html#getFullBlock-com.sk89q.worldedit.math.BlockVector3-">getFullBlock</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.extent.OutputExtent">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.extent.<a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a></h3>
<code><a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html#commit--">commit</a>, <a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBiome-com.sk89q.worldedit.math.BlockVector2-com.sk89q.worldedit.world.biome.BiomeType-">setBiome</a>, <a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBlock-com.sk89q.worldedit.math.BlockVector3-T-">setBlock</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMinimumPoint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinimumPoint</h4>
<pre><a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;getMinimumPoint()</pre>
<div class="block">Get the minimum point in the extent.

 <p>If the extent is unbounded, then a large (negative) value may
 be returned.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the minimum point</dd>
</dl>
</li>
</ul>
<a name="getMaximumPoint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaximumPoint</h4>
<pre><a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;getMaximumPoint()</pre>
<div class="block">Get the maximum point in the extent.

 <p>If the extent is unbounded, then a large (positive) value may
 be returned.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the maximum point</dd>
</dl>
</li>
</ul>
<a name="getEntities-com.sk89q.worldedit.regions.Region-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEntities</h4>
<pre>java.util.List&lt;? extends <a href="../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>&gt;&nbsp;getEntities(<a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</pre>
<div class="block">Get a list of all entities within the given region.

 <p>If the extent is not wholly loaded (i.e. a world being simulated in the
 game will not have every chunk loaded), then this list may not be
 incomplete.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>region</code> - the region in which entities must be contained</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of entities</dd>
</dl>
</li>
</ul>
<a name="getEntities--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEntities</h4>
<pre>java.util.List&lt;? extends <a href="../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>&gt;&nbsp;getEntities()</pre>
<div class="block">Get a list of all entities.

 <p>If the extent is not wholly loaded (i.e. a world being simulated in the
 game will not have every chunk loaded), then this list may not be
 incomplete.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of entities</dd>
</dl>
</li>
</ul>
<a name="createEntity-com.sk89q.worldedit.util.Location-com.sk89q.worldedit.entity.BaseEntity-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createEntity</h4>
<pre>@Nullable
<a href="../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>&nbsp;createEntity(<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;location,
                               <a href="../../../../com/sk89q/worldedit/entity/BaseEntity.html" title="class in com.sk89q.worldedit.entity">BaseEntity</a>&nbsp;entity)</pre>
<div class="block">Create an entity at the given location.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>entity</code> - the entity</dd>
<dd><code>location</code> - the location</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to the created entity, or null if the entity could not be created</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/extent/ChangeSetExtent.html" title="class in com.sk89q.worldedit.extent"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/extent/Extent.html" target="_top">Frames</a></li>
<li><a href="Extent.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
